<?

define("DOMPDF_DIR", $full_home_path."/_rootinc/dompdf");
define("DOMPDF_INC_DIR", DOMPDF_DIR . "/include");
define("DOMPDF_LIB_DIR", DOMPDF_DIR . "/lib");
require_once(DOMPDF_INC_DIR . "/functions.inc.php");
define("DOMPDF_FONT_DIR", DOMPDF_DIR . "/lib/fonts/");
define("DOMPDF_FONT_CACHE", DOMPDF_FONT_DIR);
define("DOMPDF_TEMP_DIR", $full_home_path."/_roottemp");
define("DOMPDF_CHROOT", realpath($full_home_path));
define("DOMPDF_UNICODE_ENABLED", true);
define("DOMPDF_PDF_BACKEND", "CPDF");
define("DOMPDF_DEFAULT_MEDIA_TYPE", "screen");
define("DOMPDF_DEFAULT_FONT", "serif");
define("DOMPDF_DPI", "96");
define("DOMPDF_ENABLE_PHP", true);
define("DOMPDF_ENABLE_REMOTE", false);
$_dompdf_warnings = array();
$_dompdf_show_warnings = false;
$_dompdf_debug = false;
$_DOMPDF_DEBUG_TYPES = array(); //array("page-break" => 1);

function DOMPDF_autoload($class) {
  $filename = DOMPDF_INC_DIR . "/" . mb_strtolower($class) . ".cls.php";
  
  if ( is_file($filename) )
    require_once($filename);
}

if ( function_exists("spl_autoload_register") ) {

   spl_autoload_register("DOMPDF_autoload");

} else if ( !function_exists("__autoload") ) {
  /**
   * Default __autoload() function
   *
   * @param string $class
   */
  function __autoload($class) {
    DOMPDF_autoload($class);
  }
}

define('DEBUGPNG',0);
define('DEBUGKEEPTEMP',0);
define('DEBUGCSS',0);

?>