<?
$full_home_path = dirname(__FILE__);
require_once($full_home_path."/_rootload.php");

# ik_shop_id 		- Идентификатор магазина
# ik_payment_amount	- Сумма платежа
# ik_payment_id		- Идентификатор платежа
# ik_payment_desc	- Описание платежа
# ik_paysystem_alias	- Способ оплаты
# ik_baggage_fields	- Пользовательское поле
# ik_payment_timestamp	- Дата и время выполнения платежа
# ik_payment_state	- Состояние платежа
# ik_trans_id		- Внутренний номер платежа в системе "INTERKASSA"
# ik_currency_exch	- Курс валюты
# ik_fees_payer		- Плательщик комиссии
# ik_sign_hash		- Электронная подпись

$input = "Входящие параметры:\n\nИдентификатор магазина: $ik_shop_id\nСумма платежа: $ik_payment_amount\nИдентификатор платежа: $ik_payment_id\nОписание платежа: $ik_payment_desc\nСпособ оплаты: $ik_paysystem_alias\nПользовательское поле: $ik_baggage_fields\nДата и время выполнения платежа: $ik_payment_timestamp\nСостояние платежа: $ik_payment_state\nВнутренний номер платежа в системе: $ik_trans_id\nКурс валюты: $ik_currency_exch\nПлательщик комиссии: $ik_fees_payer\nЭлектронная подпись: $ik_sign_hash";

if (getenv("REQUEST_METHOD") != "POST") { 
	mconnect();

	$manager_email=GetSetting('manager_email');

	$msg = "С IP-адреса $ip произошло обращение к скрипту online_interkassa.php по GET-протоколу.\n\nБудьте внимательны, т.к. возможно кто-то пытается взломать систему.\n\n$input\n\n--\nRootPanel";
	$subject = "Возможная попытка взлома билинга [InterKassa]";

	$admEmails=GetAdminEmailsWhereTrueParam("senderror");
	if (count($admEmails) > 0) {
		WriteMailLog($subject,$msg);
	}
	while (list($i,$em) = @each($admEmails)) {
		sendmail($em,'',$manager_email,$subject,$msg);
	}

	mclose();
	exit; 
}

if ($ik_payment_id) {
	mconnect();
	EnableLanguages();

	$bill = GetBillById(intval($ik_payment_id));

	$string = $ik_shop_id.":".$ik_payment_amount.":".$ik_payment_id.":".$ik_paysystem_alias.":".$ik_baggage_fields.":".$ik_payment_state.":".$ik_trans_id.":".$ik_currency_exch.":".$ik_fees_payer.":".GetSetting('ikass_pass');

	if (!$ik_payment_id) { $error_msg = "Отсутствует номер счета биллинг-системы."; }
	else if (!$bill->id) { $error_msg = "Счет # $ik_payment_id не найден."; }
	else if ($ik_payment_amount != $bill->merchantmoney) { $error_msg = "Неправильная сумма оплаты."; }
	else if ($ik_shop_id != GetSetting("ikass_id")) { $error_msg = "Неправильный идентификатор магазина."; }
	else if ($ik_payment_state != "success") { $error_msg = "Неправильное состояние платежа."; }
	else if (strtoupper($ik_sign_hash) != strtoupper(md5($string))) { $error_msg = "Неправильная контрольная подпись."; }
	else {
		MakeBillPayed($bill->id,1,"InterKassa Merchant");
		mclose();
		exit;
	}

	$manager_email=GetSetting('manager_email');

	$msg = "Автоматическая оплата через InterKassa Merchant отклонена биллинг-системой по причине:\n\n$error_msg\n\n$input\n\nMD5 by RootPanel: ".strtoupper(md5($string))."\nIP: $ip\n\n--\nRootPanel";
	$subject = "Ошибка автоматической оплаты [InterKassa]";

	$admEmails=GetAdminEmailsWhereTrueParam("senderror");
	if (count($admEmails) > 0) {
		WriteMailLog($subject,$msg);
	}
	while (list($i,$em) = @each($admEmails)) {
		sendmail($em,'',$manager_email,$subject,$msg);
	}
	mclose();
}

?>