<?
$full_home_path = dirname(__FILE__);
require_once($full_home_path."/_rootload.php");

$input = '';
foreach ($_POST as $field=>$value) { 
	$input .= $field." ".$value."\n";
}
$input = "Входящие параметры:\n\n$input";

if (getenv("REQUEST_METHOD") != "POST") { 
	mconnect();

	$manager_email=GetSetting('manager_email');

	$msg = "С IP-адреса $ip произошло обращение к скрипту online_liqpay.php по GET-протоколу.\n\nБудьте внимательны, т.к. возможно кто-то пытается взломать систему.\n\n$input\n\n--\nRootPanel";
	$subject = "Возможная попытка взлома билинга [LiqPay]";

	$admEmails=GetAdminEmailsWhereTrueParam("senderror");
	if (count($admEmails) > 0) {
		WriteMailLog($subject,$msg);
	}
	while (list($i,$em) = @each($admEmails)) {
		sendmail($em,'',$manager_email,$subject,$msg);
	}

	mclose();
	exit; 
}

mconnect();
EnableLanguages();

$bill = GetBillById(intval($order_id));

$liqpay_id=GetSetting('liqpay_id');
$liqpay_password=GetSetting('liqpay_password');

$hash = "|".$_POST["version"]."|".$liqpay_password."|".$action_name."|".$sender_phone."|".$merchant_id."|".$amount."|".$currency."|".$order_id."|".$transaction_id."|".$status."|".$code."|";
$hash = base64_encode(sha1($hash,1)); 

if (!$order_id) { $error_msg = "Отсутствует номер счета биллинг-системы."; }
else if (!$bill->id) { $error_msg = "Счет # $order_id не найден."; }
else if ($amount != $bill->merchantmoney) { $error_msg = "Неправильная сумма оплаты."; }
else if ($liqpay_id != $merchant_id) { $error_msg = "Неправильный ID мерчанта."; }
else if ($status != "success") { $error_msg = "Неправильный статус платежа."; }
else if ($hash != $signature) { $error_msg = "Неправильная контрольная подпись."; }
else {
	MakeBillPayed($bill->id,1,"LiqPay Merchant ($sender_phone)");
	mclose();
	exit;
}

$manager_email=GetSetting('manager_email');

$msg = "Автоматическая оплата через LiqPay Merchant отклонена биллинг-системой по причине:\n\n$error_msg\n\n$input\n\nSHA1 by RootPanel: ".$hash."\n\nIP: $ip\n\n--\nRootPanel";
$subject = "Ошибка автоматической оплаты [LiqPay]";

$admEmails=GetAdminEmailsWhereTrueParam("senderror");
if (count($admEmails) > 0) {
	WriteMailLog($subject,$msg);
}
while (list($i,$em) = @each($admEmails)) {
	sendmail($em,'',$manager_email,$subject,$msg);
}
mclose();

?>