<?
$full_home_path = dirname(__FILE__);
require_once($full_home_path."/_rootload.php");

# $PRO_TRANS_ID			Уникальный номер транзакции в системе PROCHANGE
# $PRO_SECRET_KEY		Секретный ключ из настроек мерчанта
# $PRO_PAYER_PURSE		Номер кошелька плательщика
# $PRO_SUMMA			Сумма входящего платежа яндекс деньгами
# $PRO_FIELD_1			Номер счета в биллинге RootPanel
# $PRO_SUMMA_OUT		Сумма в вебманях, отправленная в Ваш кошелек

$input = '';
foreach ($_POST as $field=>$value) { 
	$value = iconv("windows-1251", "utf-8", $value);
	$input .= $field." ".$value."\n";
}
$input = "Входящие параметры:\n\n$input";


if (getenv("REQUEST_METHOD") != "POST") { 
	mconnect();

	$manager_email=GetSetting('manager_email');

	$msg = "С IP-адреса $ip произошло обращение к скрипту online_pro.php по GET-протоколу.\n\nБудьте внимательны, т.к. возможно кто-то пытается взломать систему.\n\n$input\n\n--\nRootPanel";
	$subject = "Возможная попытка взлома билинга [PROCHANGE]";

	$admEmails=GetAdminEmailsWhereTrueParam("senderror");
	if (count($admEmails) > 0) {
		WriteMailLog($subject,$msg);
	}
	while (list($i,$em) = @each($admEmails)) {
		sendmail($em,'',$manager_email,$subject,$msg);
	}

	mclose();
	exit; 
}

if ($PRO_PAYER_PURSE) {
	mconnect();
	EnableLanguages();

	$bill = GetBillById(intval($PRO_FIELD_1));
	$pro_secret=GetSetting('pro_secret');

	if (!$PRO_FIELD_1) { $error_msg = "Отсутствует номер счета биллинг-системы."; }
	else if (!$bill->id) { $error_msg = "Счет # $PRO_FIELD_1 не найден."; }
	else if ($PRO_SUMMA != $bill->merchantmoney) { $error_msg = "Неправильная сумма оплаты."; }
	else if ($PRO_SECRET_KEY != $pro_secret) { $error_msg = "Неправильный Secret Key."; }
	else {
		MakeBillPayed($bill->id,1,"PROCHANGE ($PRO_PAYER_PURSE)");
		mclose();
		exit;
	}

	$manager_email=GetSetting('manager_email');

	$msg = "Автоматическая оплата через PROCHANGE отклонена биллинг-системой по причине:\n\n$error_msg\n\n$input\n\nIP: $ip\n\n--\nRootPanel";
	$subject = "Ошибка автоматической оплаты [PROCHANGE]";

	$admEmails=GetAdminEmailsWhereTrueParam("senderror");
	if (count($admEmails) > 0) {
		WriteMailLog($subject,$msg);
	}
	while (list($i,$em) = @each($admEmails)) {
		sendmail($em,'',$manager_email,$subject,$msg);
	}
	mclose();
}

?>