<?
$full_home_path = dirname(__FILE__);
require_once($full_home_path."/_rootload.php");

##########################################################################
# >> Входящие параметры                                                  #
##########################################################################
# $eshopId		- Номер сайта продавца
# $paymentId		- Номер покупки в системе Rupay
# $orderId		- Внутренний номер покупки продавца
# $eshopAccount		- Номер кошелька магазина
# $serviceName		- Назначение платежа (описание товара или услуги)
# $recipientAmount	- Сумма платежа
# $recipientCurrency	- Валюта платежа
# $paymentStatus	- Статус платежа
# $userName		- Имя покупателя
# $userEmail		- Email покупателя
# $paymentData		- Дата и время выполнения платежа
# $secretKey		- Секретный ключ
# $hash			- Контрольная подпись

$input = '';
foreach ($_POST as $field=>$value) { 
	$value = iconv("windows-1251", "utf-8", $value);
	$input .= $field." ".$value."\n";
}
$input = "Входящие параметры:\n\n$input";

if (getenv("REQUEST_METHOD") != "POST") { 
	mconnect();

	$manager_email=GetSetting('manager_email');

	$msg = "С IP-адреса $ip произошло обращение к скрипту online_rbk.php по GET-протоколу.\n\nБудьте внимательны, т.к. возможно кто-то пытается взломать систему.\n\n$input\n\n--\nRootPanel";
	$subject = "Возможная попытка взлома билинга [RBK Money]";

	$admEmails=GetAdminEmailsWhereTrueParam("senderror");
	if (count($admEmails) > 0) {
		WriteMailLog($subject,$msg);
	}
	while (list($i,$em) = @each($admEmails)) {
		sendmail($em,'',$manager_email,$subject,$msg);
	}

	mclose();
	exit; 
}

if ($orderId) {
	mconnect();
	EnableLanguages();

	$bill = GetBillById(intval($orderId));
	$rupaysecret = GetSetting("rupaysecret");

	$string = $eshopId."::".$orderId."::".$serviceName."::".$eshopAccount."::".$recipientAmount."::".$recipientCurrency."::".$paymentStatus."::".$userName."::".$userEmail."::".$paymentData."::".$rupaysecret;

	if (!$orderId) { $error_msg = "Отсутствует номер счета биллинг-системы."; }
	else if (!$bill->id) { $error_msg = "Счет # $orderId не найден."; }
	else if ($recipientAmount != $bill->merchantmoney) { $error_msg = "Неправильная сумма платежа."; }
	else if ($recipientCurrency != "RUR") { $error_msg = "Неправильная валюта платежа."; }
	else if ($eshopId != GetSetting("rupay")) { $error_msg = "Неправильный номер сайта продавца."; }
	else if ($paymentStatus != "5" and $paymentStatus != "3") { $error_msg = "Неправильный статус платежа."; }
	else if ($secretKey and ($secretKey != $rupaysecret)) { $error_msg = "Неправильный Secret Key."; }
	else if (!$secretKey and (strtoupper($hash) != strtoupper(md5($string)))) { $error_msg = "Неправильная контрольная подпись."; }
	else {
		if ($paymentStatus == "5") {
			MakeBillPayed($bill->id,1,"RuPay Merchant ($userEmail)");
		}
		mclose();
		exit;
	}

	$manager_email=GetSetting('manager_email');

	$msg = "Автоматическая оплата через RBK Money отклонена биллинг-системой по причине:\n\n$error_msg\n\n$input\n\nMD5 by RootPanel: ".strtoupper(md5($string))."\nIP: $ip\n\n--\nRootPanel";
	$subject = "Ошибка автоматической оплаты [RBK Money]";

	$admEmails=GetAdminEmailsWhereTrueParam("senderror");
	if (count($admEmails) > 0) {
		WriteMailLog($subject,$msg);
	}
	while (list($i,$em) = @each($admEmails)) {
		sendmail($em,'',$manager_email,$subject,$msg);
	}

	mclose();
}
?>
