<?
$full_home_path = dirname(__FILE__);
require_once($full_home_path."/_rootload.php");

# $s_purse		- Идентификатор вашего смс:банка в системе.
# $s_order_id		- Идентификатор операции (произвольное число, служит для соотнесения инициированной транзакции с ее результатом).
# $s_amount		- Точное значение транзакции, с учетом алгоритма работы (см. ниже), USD.
# $s_clear_amount	- Алгоритм подсчета стоимости услуги для пользователя. Если 0, то значение s_amount представляет собой конечную стоимость для пользователя, иначе - значение s_amount выражает ожидаемую Вами прибыль от операции; стоимость для каждого пользователя будет варьироваться в зависимости от действующих тарифов и условий приема сообщений местными сотовыми операторами.
# $s_inv		- Порядковый номер операции в системе.
# $s_phone		- Номер телефона, с которого было проведено подтверждение операции.
# $s_sign_v2		- MD5-хэш строки, состоящей из соединенных через двойное двоеточие ("::") параметров secret_code, s_purse, s_order_id, s_amount, s_clear_amount, s_inv и s_phone (в указанном порядке), где secret_code - секретный ключ вашего смс:банка.

$input = '';
foreach ($_POST as $field=>$value) { 
	$value = iconv("windows-1251", "utf-8", $value);
	$input .= $field." ".$value."\n";
}
$input = "Входящие параметры:\n\n$input";

if (getenv("REQUEST_METHOD") != "POST") { 
	mconnect();

	$manager_email=GetSetting('manager_email');

	$msg = "С IP-адреса $ip произошло обращение к скрипту online_smscoin.php по GET-протоколу.\n\nБудьте внимательны, т.к. возможно кто-то пытается взломать систему.\n\n$input\n\n--\nRootPanel";
	$subject = "Возможная попытка взлома билинга [СМС:Банк]";

	$admEmails=GetAdminEmailsWhereTrueParam("senderror");
	if (count($admEmails) > 0) {
		WriteMailLog($subject,$msg);
	}
	while (list($i,$em) = @each($admEmails)) {
		sendmail($em,'',$manager_email,$subject,$msg);
	}

	mclose();
	exit; 
}

if ($s_purse) {
	mconnect();
	EnableLanguages();

	$bill = GetBillById(intval($s_order_id));
	$smscoin_secret=GetSetting('smscoin_secret');

	$string = $smscoin_secret."::".$s_purse."::".$s_order_id."::".$s_amount."::".$s_clear_amount."::".$s_inv."::".$s_phone;

	if (!$s_order_id) { $error_msg = "Отсутствует номер счета биллинг-системы."; }
	else if (!$bill->id) { $error_msg = "Счет # $BILL_ID не найден."; }
	else if ($s_amount < $bill->merchantmoney) { $error_msg = "Неправильная сумма оплаты."; }
	else if ($s_purse != GetSetting("smscoin_id")) { $error_msg = "Неправильный номер смс:банка."; }
	else if (!$s_sign_v2 or (strtoupper($s_sign_v2) != strtoupper(md5($string)))) { $error_msg = "Неправильная контрольная подпись."; }
	else {
		MakeBillPayed($bill->id,1,"СМС:Банк ($s_phone)");
		mclose();
		exit;
	}

	$manager_email=GetSetting('manager_email');

	$msg = "Автоматическая оплата через СМС:Банк отклонена биллинг-системой по причине:\n\n$error_msg\n\n$input\n\nMD5 by RootPanel: ".strtoupper(md5($string))."\n\nIP: $ip\n\n--\nRootPanel";
	$subject = "Ошибка автоматической оплаты [СМС:Банк]";

	$admEmails=GetAdminEmailsWhereTrueParam("senderror");
	if (count($admEmails) > 0) {
		WriteMailLog($subject,$msg);
	}
	while (list($i,$em) = @each($admEmails)) {
		sendmail($em,'',$manager_email,$subject,$msg);
	}
	mclose();
}

?>