<?
$full_home_path = dirname(__FILE__);
require_once($full_home_path."/_rootload.php");

# $LMI_PAYEE_PURSE		Кошелек продавца
# $LMI_PAYMENT_AMOUNT		Сумма платежа
# $LMI_PAYMENT_NO		Внутренний номер покупки продавца
# $LMI_MODE			Флаг тестового режима
# $LMI_SYS_INVS_NO		Внутренний номер счета в системе WebMoney Transfer
# $LMI_SYS_TRANS_NO		Внутренний номер платежа в системе WebMoney Transfer
# $LMI_PAYER_PURSE		Кошелек покупателя
# $LMI_PAYER_WM			WMId покупателя
# $LMI_HASH			Контрольная подпись
# $LMI_SYS_TRANS_DATE		Дата и время выполнения платежа
# $LMI_SECRET_KEY		Secret Key 
# $BILL_ID			Номер счета в нашем биллинге

$input = '';
foreach ($_POST as $field=>$value) { 
	$value = iconv("windows-1251", "utf-8", $value);
	$input .= $field." ".$value."\n";
}
$input = "Входящие параметры:\n\n$input";

if (getenv("REQUEST_METHOD") != "POST") { 
	mconnect();

	$manager_email=GetSetting('manager_email');

	$msg = "С IP-адреса $ip произошло обращение к скрипту online_wm.php по GET-протоколу.\n\nБудьте внимательны, т.к. возможно кто-то пытается взломать систему.\n\n$input\n\n--\nRootPanel";
	$subject = "Возможная попытка взлома билинга [WebMoney]";

	$admEmails=GetAdminEmailsWhereTrueParam("senderror");
	if (count($admEmails) > 0) {
		WriteMailLog($subject,$msg);
	}
	while (list($i,$em) = @each($admEmails)) {
		sendmail($em,'',$manager_email,$subject,$msg);
	}

	mclose();
	exit; 
}

if ($LMI_PAYEE_PURSE) {
	mconnect();
	EnableLanguages();

	$bill = GetBillById(intval($BILL_ID));
	$wmsecret=GetSetting('wmsecret');

	$string = $LMI_PAYEE_PURSE.$LMI_PAYMENT_AMOUNT.$LMI_PAYMENT_NO.$LMI_MODE.$LMI_SYS_INVS_NO.$LMI_SYS_TRANS_NO.$LMI_SYS_TRANS_DATE.$wmsecret.$LMI_PAYER_PURSE.$LMI_PAYER_WM;

	if (!$BILL_ID) { $error_msg = "Отсутствует номер счета биллинг-системы."; }
	else if (!$bill->id) { $error_msg = "Счет # $BILL_ID не найден."; }
	else if ($LMI_PAYMENT_AMOUNT != $bill->merchantmoney) { $error_msg = "Неправильная сумма оплаты."; }
	else if ($LMI_PAYEE_PURSE != GetSetting("wmz") and $LMI_PAYEE_PURSE != GetSetting("wmr") and $LMI_PAYEE_PURSE != GetSetting("wme") and $LMI_PAYEE_PURSE != GetSetting("wmu") and $LMI_PAYEE_PURSE != GetSetting("wmb")) { $error_msg = "Неправильный кошелек продавца."; }
	else if ($LMI_MODE != "0") { $error_msg = "Тестовый режим работы Webmoney Merchant."; }
	else if ($LMI_SECRET_KEY and ($LMI_SECRET_KEY != $wmsecret)) { $error_msg = "Неправильный Secret Key."; }
	else if (!$LMI_SECRET_KEY and (strtoupper($LMI_HASH) != strtoupper(md5($string)))) { $error_msg = "Неправильная контрольная подпись."; }
	else {
		MakeBillPayed($bill->id,1,"Webmoney Merchant ($LMI_PAYER_PURSE)");
		mclose();
		exit;
	}

	$manager_email=GetSetting('manager_email');

	$msg = "Автоматическая оплата через WebMoney Merchant отклонена биллинг-системой по причине:\n\n$error_msg\n\n$input\n\nMD5 by RootPanel: ".strtoupper(md5($string))."\n\nIP: $ip\n\n--\nRootPanel";
	$subject = "Ошибка автоматической оплаты [WebMoney]";

	$admEmails=GetAdminEmailsWhereTrueParam("senderror");
	if (count($admEmails) > 0) {
		WriteMailLog($subject,$msg);
	}
	while (list($i,$em) = @each($admEmails)) {
		sendmail($em,'',$manager_email,$subject,$msg);
	}
	mclose();
}

?>