<?
$full_home_path = dirname(__FILE__);
require_once($full_home_path."/_rootload.php");

# $LMI_PAYEE_PURSE		Идентификатор магазина в системе Z-PAYMENT Merchant на счет которого была проведена оплата.
# $LMI_PAYMENT_AMOUNT		Сумма, которую заплатил покупатель. Дробная часть отделяется точкой.
# $LMI_PAYER_PURSE		Кошелек покупателя в системе Z-PAYMENT или его e-mail если он не зарегистрирован в системе.
# $LMI_PAYER_WM			Кошелек покупателя в системе Z-PAYMENT или его e-mail если он не зарегистрирован в системе.
# $LMI_PAYMENT_NO		В этом поле передается номер покупки в соответствии с системой учета магазина, полученный сервисом с веб-сайта магазина.
# $LMI_SYS_TRANS_NO		Номер счета в системе Z-PAYMENT, выставленный покупателю от магазина в процессе обработки запроса на выполнение платежа сервисом Z-PAYMENT Merchant. Является уникальным в системе Z-PAYMENT.
# $LMI_SYS_INVS_NO		Номер платежа в системе Z-PAYMENT. выполненный в процессе обработки запроса на выполнение платежа сервисом Z-PAYMENT Merchant. Является уникальным в системе Z-PAYMENT.
# $LMI_MODE			Всегда равен 0 (нулю)
# $LMI_SYS_TRANS_DATE		Дата и время реального прохождения платежа в системе Z-PAYMENT в формате "YYYYMMDD HH:MM:SS".
# $ZP_TYPE_PAY			Код вида платежа, указывает каким методом клиент оплатил.
# $LMI_HASH			Контрольная подпись оповещения о выполнении платежа, которая используется для проверки целостности полученной информации и однозначной идентификации отправителя. 
# $LMI_SECRET_KEY		Значение Merchant Key, известное только продавцу и сервису Z-PAYMENT Merchant. Это поле будет пустым, если параметр "Result URL" не обеспечивает секретность или не установлен флаг "Отправлять ключ магазина".
# $BILL_ID			Номер счета в нашем биллинге

$input = '';
foreach ($_POST as $field=>$value) { 
	$value = iconv("windows-1251", "utf-8", $value);
	$input .= $field." ".$value."\n";
}
$input = "Входящие параметры:\n\n$input";

if (getenv("REQUEST_METHOD") != "POST") { 
	mconnect();

	$manager_email=GetSetting('manager_email');

	$msg = "С IP-адреса $ip произошло обращение к скрипту online_zpay.php по GET-протоколу.\n\nБудьте внимательны, т.к. возможно кто-то пытается взломать систему.\n\n$input\n\n--\nRootPanel";
	$subject = "Возможная попытка взлома билинга [Z-Payment]";

	$admEmails=GetAdminEmailsWhereTrueParam("senderror");
	if (count($admEmails) > 0) {
		WriteMailLog($subject,$msg);
	}
	while (list($i,$em) = @each($admEmails)) {
		sendmail($em,'',$manager_email,$subject,$msg);
	}

	mclose();
	exit; 
}

if ($LMI_PAYEE_PURSE) {
	mconnect();
	EnableLanguages();

	$bill = GetBillById(intval($BILL_ID));
	$zpaysecret=GetSetting('zpaysecret');

	$string = $LMI_PAYEE_PURSE.$LMI_PAYMENT_AMOUNT.$LMI_PAYMENT_NO.$LMI_MODE.$LMI_SYS_INVS_NO.$LMI_SYS_TRANS_NO.$LMI_SYS_TRANS_DATE.$zpaysecret.$LMI_PAYER_PURSE.$LMI_PAYER_WM;

	if (!$BILL_ID) { $error_msg = "Отсутствует номер счета биллинг-системы."; }
	else if (!$bill->id) { $error_msg = "Счет # $BILL_ID не найден."; }
	else if ($LMI_PAYMENT_AMOUNT != $bill->merchantmoney) { $error_msg = "Неправильная сумма оплаты."; }
	else if ($LMI_PAYEE_PURSE != GetSetting("zpayid")) { $error_msg = "Неправильный идентификатор магазина."; }
	else if ($LMI_MODE != "0") { $error_msg = "Тестовый режим работы Z-Payment Merchant."; }
	else if ($LMI_SECRET_KEY and $LMI_SECRET_KEY != $zpaysecret) { $error_msg = "Неправильный Secret Key."; }
	else if (!$LMI_SECRET_KEY and strtoupper($LMI_HASH) != strtoupper(md5($string))) { $error_msg = "Неправильная контрольная подпись."; }
	else {
		print "YES";

		MakeBillPayed($bill->id,1,"Z-Payment Merchant ($LMI_PAYER_PURSE)");
		mclose();
		exit;
	}

	$manager_email=GetSetting('manager_email');

	$msg = "Автоматическая оплата через Z-Payment Merchant отклонена биллинг-системой по причине:\n\n$error_msg\n\n$input\n\nMD5 by RootPanel: ".strtoupper(md5($string))."\nIP: $ip\n\n--\nRootPanel";
	$subject = "Ошибка автоматической оплаты [Z-Payment]";

	$admEmails=GetAdminEmailsWhereTrueParam("senderror");
	if (count($admEmails) > 0) {
		WriteMailLog($subject,$msg);
	}
	while (list($i,$em) = @each($admEmails)) {
		sendmail($em,'',$manager_email,$subject,$msg);
	}
	mclose();
}

?>